# -*- coding: utf-8 -*-
"""
Created on Tue Mar 24 14:49:27 2020

@author: Michiel Klaassen march 20202
"""

from astropy.io import fits
import numpy as np


filename='nrad-'
#-----------------single spectrum---------------------------------
set=75#select a single spectrum
spselect = np.loadtxt(filename+str(set)+".tct")#load it

#------------------multiple spectra---------------------------------
nrs_of_spectra=253#max=288
sp=np.zeros((nrs_of_spectra,2048));
for set in range  (0,nrs_of_spectra):
    sp[set]=np.loadtxt(filename+str(set)+".tct") 
#------------------select one HDU function---------------------------------

#hdu = fits.PrimaryHDU(spselect)#make a fits file for selected line
hdu = fits.PrimaryHDU(sp)#make a fits file for a range of lines


#---------------------------------------------------------

hdu.header['NAXIS'] = (2,'number of data axes')
hdu.header['NAXIS1'] = (2048,'length of data axis 1')
#hdu.header['NAXIS2'] = (2,'length of data axis 2')
#hdu.header['NAXIS3'] = (1,'length of data axis 3')

hdu.header['TELESCOP'] =('xyz', 'Telescope name')
hdu.header['ORIGIN'] = ('xyz','Location of telescope')  
hdu.header['T_LATITU'] = ('123','Latitude of telescope') 
hdu.header['T_LONGIT'] = ('123','Longitude of telescope') 
hdu.header['T_ALTITU'] = ('123','Altitude of telescope')

hdu.header['DATE-OBS'] = ('123','Start date of observation')
hdu.header['UT'] = ('123','Start of observation time') 
hdu.header['OBJECT'] = ('xyz','Name of target')  
hdu.header['RA'] = ('123','Right ascention of target')  
hdu.header['DEC'] = ('123','Declination of target')

hdu.header['VLSR'] = ('123','Object VLSR')  
hdu.header['INSTRUME'] = ('xyz','Instruments used')  
hdu.header['OBSERVER'] = ('xyz','Name of observer')  
hdu.header['AZIMUTH'] = ('123','Start of Azimuth angle')  
hdu.header['ELEVATIO'] = ('123','Start of elevation angle')  

hdu.header['TSC_VLSR'] = ('123','Telescope VLSR [km/s]')  
hdu.header['EQUINOX'] = ('2000','Julian epoch reference')  
hdu.header['SKYFREQ'] = ('123','observed sky frequency')  
hdu.header['RESTFREQ'] = ('123','Line rest frequency')  
hdu.header['FFT_SIZE'] = ('2048','FFT size')  

hdu.header['CHAN_BW'] = ('123','Channel bandwidth')  
hdu.header['NO_CHANN'] = ('2048','Number of channels')  
hdu.header['INTTIME'] = ('123','Integration time [s]')  
hdu.header['OBSTIME'] = ('123','Observation duration time')  
hdu.header['TEMPERAT'] = ('123','Surface air temperature [C]')                                                                                                                                                                                                 


#print(hdu.header)

hdu.writeto('cfrad-01.fits', clobber=True)# if already exist; overwrite

print ('done')








